// creator  : weidu.exe (version 23100)
// argument : X#IHTIA.DLG
// game		 : .
// source	 : ./override/X#IHTIA.DLG
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~X#IHTIA~

IF ~  Dead("X#keth")
~ THEN BEGIN 0 // from:
  SAY #102233 /* ~Crab food? A pity.~ */
  IF ~~ THEN DO ~SetGlobal("X#KivanSea","GLOBAL",7)
EscapeArea()
ActionOverride("seasnake",DestroySelf())
~ EXIT
END

IF ~  Global("X#KivanSea","GLOBAL",8)
~ THEN BEGIN 1 // from:
  SAY #102234 /* ~Here be more drylanders ready for eating. Let us feast!~ */
  IF ~~ THEN GOTO 2
END

IF ~~ THEN BEGIN 2 // from: 1.0
  SAY #102235 /* ~Regretting our meeting, did I not tell you that you be, drylander?~ */
  IF ~~ THEN DO ~SetGlobal("X#SeasnakeAttack","GLOBAL",2)
ActionOverride("seasnake",Enemy())
ActionOverride("seasnake",Attack([PC]))
CreateCreature("X#SAHA01",[-1.-1],0)
CreateCreature("X#SAHA02",[-1.-1],0)
CreateCreature("X#SAHA02",[-1.-1],0)
CreateCreature("X#SAHA01",[-1.-1],0)
CreateCreature("X#SAHA02",[-1.-1],0)
CreateCreature("X#SAHA02",[-1.-1],0)
ActionOverride("X#SAHA01",Attack([PC]))
ActionOverride("X#SAHA02",Attack([PC]))
~ EXIT
END

IF ~  Global("X#KivanSea","GLOBAL",1)
~ THEN BEGIN 3 // from:
  SAY #102236 /* ~You... You do be beings of the dryland?~ */
  IF ~~ THEN REPLY #102237 /* ~I guess so. Who are you?~ */ EXTERN ~_KIVANJ~ 282
END

IF ~~ THEN BEGIN 4 // from: 20.2 9.1
  SAY #102238 /* ~Splashing. Do be following me.~ */
  IF ~~ THEN DO ~SetGlobal("X#KivanSea","GLOBAL",2)
~ EXIT
END

IF ~~ THEN BEGIN 5 // from: 20.4 20.3
  SAY #102239 /* ~He be crab food, then. Wait. If I do be telling you he be a drylander, would you be helping?~ */
  IF ~~ THEN REPLY #102240 /* ~A drylander? How's that possible?~ */ GOTO 12
  IF ~~ THEN REPLY #102241 /* ~Be he an avariel, I would not risk my life!~ */ EXTERN ~_KIVANJ~ 278
END

IF ~~ THEN BEGIN 6 // from: 9.0
  SAY #102242 /* ~He be crab food, then, and seaweed your hearts do be.~ */
  IF ~  RandomNum(2,1)
~ THEN DO ~SetGlobal("X#KivanSea","GLOBAL",4)
~ EXTERN ~_KIVANJ~ 276
  IF ~  RandomNum(2,2)
~ THEN DO ~SetGlobal("X#KivanSea","GLOBAL",4)
~ EXTERN ~_KIVANJ~ 278
END

IF ~~ THEN BEGIN 7 // from: 9.2
  SAY #102243 /* ~If netting you I wanted, I could. Sounds swim slower here than in water, but my shouting would swim fast enough to reach the raiding party. Bah. You do be skinnier than sardines, drylanders.~ */
  IF ~~ THEN DO ~SetGlobal("X#KivanSea","GLOBAL",4)
~ EXTERN ~_KIVANJ~ 276
END

IF ~~ THEN BEGIN 8 // from:
  SAY #102244 /* ~Why do I be knowing? Dressing in seafoam be more useful than talking to you.~ */
  IF ~~ THEN GOTO 9
END

IF ~~ THEN BEGIN 9 // from: 8.0
  SAY #102245 /* ~Be you helping me, drylander? The tide do be coming.~ */
  IF ~~ THEN REPLY #102246 /* ~I will not risk a battle with Sahuagin to free a murderer!~ */ GOTO 6
  IF ~~ THEN REPLY #33657 /* ~I will help you.~ */ GOTO 4
  IF ~~ THEN REPLY #102247 /* ~I still think it's a trap!~ */ GOTO 7
END

IF ~~ THEN BEGIN 10 // from:
  SAY #102252 /* ~Splashing. Strength it do be or foolishness, I do be not knowing... but I do be grateful that you do possess it, land elf.~ */
  IF ~~ THEN DO ~ActionOverride("kivan",LeaveParty())
ActionOverride("kivan",EscapeArea())
ActionOverride("seasnake",EscapeArea())
~ EXIT
END

IF ~~ THEN BEGIN 11 // from:
  SAY #102254 /* ~Oh, regretting it again you do be before the tide's turn.~ */
  IF ~~ THEN DO ~SetGlobal("X#KivanSea","GLOBAL",4)
ActionOverride("seasnake",JumpToPoint([1010.1638]))
~ EXIT
END

IF ~~ THEN BEGIN 12 // from: 20.1 20.0 5.0
  SAY #102255 /* ~No time do I have for plots to fool even a fry. Already air hurts my innards.~ */
  IF ~~ THEN GOTO 13
END

IF ~~ THEN BEGIN 13 // from: 12.0
  SAY #102256 /* ~I be Malenti - do explain who I be, dryland elf, spare my gills.~ */
  IF ~~ THEN EXTERN ~_KIVANJ~ 279
END

IF ~~ THEN BEGIN 14 // from:
  SAY #102258 /* ~*she nods impatiently*~ */
  IF ~~ THEN EXTERN ~_KIVANJ~ 280
END

IF ~~ THEN BEGIN 15 // from:
  SAY #102260 /* ~Spying I did, but the sea elf village I eeled my way into we did destroy. In our city I be, when capturing this ship we did, running it ashore thereafter. Our Prince be wanting knowledge of costal villages for raiding, so putting me with drylanders, he did. In theirs air-filled prison, almost did a puff-fish out of me our Prince, he did.~ */
  IF ~~ THEN GOTO 16
END

IF ~~ THEN BEGIN 16 // from: 15.0
  SAY #102261 /* ~Our Prince be making fights among prisoners till only one be left. He was the strongest one, the shark-hearted! Killed all in his school, he did. Did not wanting him to become crab food, told them that he has secret knowing of cache, I did.~ */
  IF ~~ THEN GOTO 17
END

IF ~~ THEN BEGIN 17 // from: 16.0
  SAY #102262 /* ~But there do be too many of them guarding him for me to kill them alone. The drylander turned jellyfish once he got ashore. I did be certain he be stronger here and together killing them we would be...~ */
  IF ~~ THEN GOTO 18
END

IF ~~ THEN BEGIN 18 // from: 17.0
  SAY #102263 /* ~Do you be helping me now?~ */
  IF ~~ THEN EXTERN ~_KIVANJ~ 281
END

IF ~~ THEN BEGIN 19 // from:
  SAY #102267 /* ~Be needing help do I, and Jozzi Seasnake be my name. Sahuagin - shark-men - killing my mate they be. He told them he does show them a secret cache on the broken ship - and there do be none. When they be finding this out...~ */
  IF ~~ THEN EXTERN ~_KIVANJ~ 283
END

IF ~~ THEN BEGIN 20 // from:
  SAY #102271 /* ~Yes... we do be.~ */
  IF ~~ THEN REPLY #102272 /* ~How did you escape yourself, elf? And why is there no chase?~ */ GOTO 12
  IF ~~ THEN REPLY #102273 /* ~Wait, how did your mate know of the ship?~ */ GOTO 12
  IF ~~ THEN REPLY #102274 /* ~We are coming to help!~ */ GOTO 4
  IF ~  !Race(Player1,ELF)
~ THEN REPLY #102275 /* ~You are on your own, pointy-eared!~ */ GOTO 5
  IF ~~ THEN REPLY #102276 /* ~I cannot help you - Sahuagin are too dangerous to deal with. Be grateful that you have escaped with your own life, girl, and find yourself another mate. There are plenty under the sea.~ */ GOTO 5
END

IF ~~ THEN BEGIN 21 // from: X#SAHA01:1.0
  SAY #102280 /* ~Keth'sim Dwin'anea did be telling you where it hides. In your guts, and I do be wanting to see it much!~ */
  IF ~~ THEN DO ~ActionOverride("X#keth",JumpToPoint([1010.1638]))
SetGlobal("X#KivanSea","GLOBAL",5)
ActionOverride("X#SAHA01",Enemy())
ActionOverride("X#SAHA01",Attack("seasnake"))
ActionOverride("X#SAHA02",Enemy())
ActionOverride("X#SAHA01",Attack(Player1))
ChangeEnemyAlly("seasnake",GOODBUTBLUE)
~ EXIT
END

IF ~~ THEN BEGIN 22 // from: X#KETH:6.0
  SAY #102288 /* ~*She shrugs one shoulder.* More than one prisoner ashore they never would take. You to live I did want, not others. One life did I want to save.~ */
  IF ~~ THEN EXTERN ~X#KETH~ 7
END

IF ~~ THEN BEGIN 23 // from: X#KETH:8.0
  SAY #102292 /* ~Seawater it do be.~ */
  IF ~~ THEN EXTERN ~X#KETH~ 9
END

IF ~~ THEN BEGIN 24 // from: X#KETH:9.0
  SAY #102294 /* ~*Jozzi starts walking into the sea, then turns her head and looks at Keth'sim Dwin'anea with unperturbed eyes.*~ */
  IF ~~ THEN GOTO 25
END

IF ~~ THEN BEGIN 25 // from: 24.0
  SAY #102295 /* ~Dead I do be soon enough for your liking, drylander. Waters be telling what happened here, scents of blood it does carry quick. Sahuagin be killing me for living when pure sharkblood died. Your sea kin do be thinking just like you. They do be knowing that I killed many, and saved but one. They do not be wanting me. With no school one does not live long under the sea. *She prepares to dive into the water.*~ */
  IF ~~ THEN EXTERN ~X#KETH~ 10
END

IF ~~ THEN BEGIN 26 // from: X#KETH:10.0
  SAY #102297 /* ~Live long you can, Keth'sim Dwin'anea. Do it. And step on sea-urchins may you not.~ */
  IF ~~ THEN EXTERN ~X#KETH~ 11
END
